### Class

# Pos CompleterVarnam

since: 0

#### Description [src]

    final class Pos.CompleterVarnam : GObject.Object
      implements Gio.Initable, Pos.Completer {
      /* No available fields */
    }

A completer using varnam.

Uses govarnam to suggest completions.

This is mostly to demo a simple completer.

Available since: 0

#### Ancestors

- GObject

#### Implements

- GInitable
- PosCompleter

#### Functions

###### pos_completer_varnam_new

since: 0

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GInitable (1)

###### g_initable_init

Initializes the object implementing the interface.

unstable since: 2.22

##### Methods inherited from PosCompleter (10)

###### pos_completer_feed_symbol

Feeds a symbol to be processed by the completer.

since: 0

###### pos_completer_get_after_text

Returns the current `PosCompleter:after-text`.

since: 0

###### pos_completer_get_before_text

Returns the current `PosCompleter:before-text`.

since: 0

###### pos_completer_get_completions

Returns the current possible completions.

since: 0

###### pos_completer_get_display_name

No description available.

since: 0

###### pos_completer_get_name

Returns the completers name.

since: 0

###### pos_completer_get_preedit

Returns the current preedit.

since: 0

###### pos_completer_set_language

Let the completer pick a language based on the given language code and region. If an error occurs `FALSE` is returned and `error` set to the error.

since: 0

###### pos_completer_set_preedit

Sets the current preedit. The preedit is the current word under completion.

since: 0

###### pos_completer_set_surrounding_text

Set the text before and after the current cursor position. This can be used by the completer to improve the prediction.

since: 0

#### Properties

##### Properties inherited from PosCompleter (5)

###### PosCompleter:after-text

The text after the current cursor position. The completer has to make sense of it e.g. by parsing forward for the next word end.

since: 0

###### PosCompleter:before-text

The text before the current cursor position. The completer has to make sense of it e.g. by parsing backwards for the last separation char. No guarantee is made that it contains the start of a sentence. It should be used as context for better completions.

since: 0

###### PosCompleter:completions

The list of completions for a given preedit.

since: 0

###### PosCompleter:name

The name of this completer.

since: 0

###### PosCompleter:preedit

The preedit is not yet submitted text at the current cursor position.

since: 0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

##### Signals inherited from PosCompleter (2)

###### PosCompleter::commit-string

The completer wants the given text to be committed as is. This can happen when the completer encounters a word separating character (e.g. space). `preedit` will be set to empty in this case.

since: 0

###### PosCompleter::update

The completer changed it’s preedit to the given string and wants the given number of bytes before and after the preedit removed.

since: 0

#### Class structure

    struct PosCompleterVarnamClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.